
%global meadversion 8.0.0
%global namedversion 8.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package shibboleth-java-support}
%{!?scl:%global pkg_name %{name}}

%define maven_version 8.0.0.redhat-00001

Name:           %{?scl_prefix}shibboleth-java-support
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        java-support
Group:          Development/Java

%if %with mead
Source100: java-support-8.0.0.redhat-00001-project-sources.tar.gz
Source102: java-support-8.0.0.redhat-00001.pom
Source103: java-support-8.0.0.redhat-00001-sources.jar
Source104: java-support-8.0.0.redhat-00001.jar
Source105: java-support-8.0.0.redhat-00001-tests.jar
%endif

License:        ASL 2.0 or BSD
URL:            https://svn.shibboleth.net/utilities/java-support/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for java-support
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n java-support-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}.jar %{buildroot}%{_javadir}/java-support-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/java-support-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}-sources.jar %{buildroot}%{_javadir}/java-support-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/java-support-%{namedversion}-tests.jar %{buildroot}%{_javadir}/java-support-%{namedversion}-tests.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/java-support-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/java-support-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/java-support-%{namedversion} -x META-INF/\*
%{__ln_s} java-support-%{namedversion} %{buildroot}%{_javadocdir}/java-support
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/java-support-%{namedversion}.jar
%{_javadir}/java-support.jar
%if %with javadoc
%{_javadir}/java-support-%{namedversion}-javadoc.jar
%{_javadir}/java-support-javadoc.jar
%endif
%{_javadir}/java-support-%{namedversion}-sources.jar
%{_javadir}/java-support-sources.jar
%if %with tests
%{_javadir}/java-support-%{namedversion}-tests.jar
%{_javadir}/java-supporr-tests.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/java-support-%{namedversion}
%{_javadocdir}/java-support
%endif

%changelog
* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-3.redhat_00001.1
- Built by CPaaS

* Wed Dec 14 2022 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-2.redhat_00001.1
- Built by CPaaS

* Thu Oct 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 8.0.0-1.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 7.3.0-2.redhat_00001.1
- Built by CPaaS

